Matrix
======

Base
----

BaseMatrix Template
```````````````````
..  doxygenclass:: paddle::BaseMatrixT
    :members:

Matrix
``````
..  doxygenclass:: paddle::Matrix
    :members:

MatrixOffset
````````````
..  doxygenclass:: paddle::MatrixOffset
    :members:

CpuMatrix
---------

CpuMatrix
`````````
..  doxygenclass:: paddle::CpuMatrix
    :members:

SharedCpuMatrix
```````````````
..  doxygenclass:: paddle::SharedCpuMatrix
    :members:

GpuMatrix
---------
..  doxygenclass:: paddle::GpuMatrix
    :members:

CpuSparseMatrix
---------------

CpuSparseMatrix
```````````````
..  doxygenclass:: paddle::CpuSparseMatrix
    :members:

SparseRowCpuMatrix
``````````````````
..  doxygenclass:: paddle::SparseRowCpuMatrix
    :members:

SparseAutoGrowRowCpuMatrix
``````````````````````````
..  doxygenclass:: paddle::SparseAutoGrowRowCpuMatrix
    :members:

SparsePrefetchRowCpuMatrix
``````````````````````````
..  doxygenclass:: paddle::SparsePrefetchRowCpuMatrix
    :members:

SparseRowIdsCpuMatrix
`````````````````````
..  doxygenclass:: paddle::SparseRowIdsCpuMatrix
    :members:

CacheRowCpuMatrix
`````````````````
..  doxygenclass:: paddle::CacheRowCpuMatrix
    :members:

GpuSparseMatrix
---------------
..  doxygenclass:: paddle::GpuSparseMatrix
    :members:
